<div ng-controller="MainCtrl as mainController">
  <div class="container bg-transparent border border-success">
    <div class="row text-center bg-success">
      <div class="col-md-auto">
        <!--  <img src="../assets/KLM-B777-200.jpg" class="img-fluid" alt="KLM aeroplane"> -->
        <h1 class="font-weight-bold text-warning">Assignment</h1>
      </div>
    </div>
    <div>
      <button type="button" class="btn btn-link" ng-click="mainController.viewRecipiApp()">Recipi App</button>
      <button type="button" class="btn btn-link" ng-click="mainController.viewLogAnalyzerApp()">Log Analyzer App</button>
    </div>
    <div class="" ng-if="mainController.showRecipiApp">
      <div class="panel panel-warning">
        <div class="panel-heading"><span>Recipe List</span></div>
        </hr>
        <div class="padding-md">
          <table class="table table-striped">
            <tr ng-repeat="item in mainController.recipes">
              <td>
                {{item.title}}
              </td>
              <td>
                {{item.href}}
              </td>
              <td>
                {{item.ingredients}}
              </td>
            </tr>
            <tr>
              <td>Select Ingredients : </td>
              <td>
                <div ng-dropdown-multiselect="" options="mainController.ingredients" selected-model="mainController.selectedIngredients" checkboxes="true" extra-settings="mainController.setting1"></div>
              </td>
              <td>
                <button type="button" class="btn btn-info btn-lg" ng-click="mainController.filterRecipies()">Filter Recipes</button>
              </td>

            </tr>
          </table>
        </div>
      </div>
      </div>

    <div class="" ng-if="mainController.showLogAnalyzerApp">
      <div class="panel panel-warning">
        <div class="panel-heading"><span>Log Analyzer</span></div>
        </hr>
        <div class="padding-md">
          <table class="table table-striped">
            <tr>
              <td>Select Log Type : </td>
              <td>
                <input type="radio" ng-model="mainController.logType" value="INFO" ng-change="mainController.getLogs()">
                INFO
              </td>
              <td>
                <input type="radio" ng-model="mainController.logType" value="WARN" ng-change="mainController.getLogs()">
                WARN
              </td>
              <td>
                <input type="radio" ng-model="mainController.logType" value="DEBUG" ng-change="mainController.getLogs()">
                DEBUG
              </td>
              <td>
                <input type="radio" ng-model="mainController.logType" value="ERROR" ng-change="mainController.getLogs()">
                ERROR
              </td>
          </table>

          <table class="table table-striped">
            <thead>
              <tr>
                <td>
                  Description
                </td>
                <td>
                  Count
                </td>
              </tr>
            </thead>
            <tr ng-repeat="item in mainController.logs">
              <td>
                {{item.description}}
              </td>
              <td>
                {{item.count}}
              </td>
            </tr>
            </tr>
          </table>
        </div>
      </div>
    </div>
    </div>
  </div>
</div>
